main {
	padding: 5px;
	padding-top: 25px;
	overflow: auto;
}

h1,
h3,
h4 {
	text-align: center;
}

h1 {
	font-size: 2.5em;
}

h3 {
	margin-bottom: 40px;
}

.spells-grid {
	width: 90%;
	margin: auto;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 20px;
	row-gap: 40px;
	padding-bottom: 50px;
}

.spell-card {
	position: relative;
	width: 250px;
	height: 400px;
	border-radius: 20px;
	background-color: var(--transparent-color);
	border: 2px solid black;
	flex-grow: 1;
	cursor: pointer;
	transition: 0.3s ease-out;
	padding: 20px;
	font-size: 1.2em;
}

.spell-card:hover {
	transform: scale(1.1);
	box-shadow: 0 0 10px 10px var(--color);
	z-index: 2;
}

/* .spell-card:hover + * {
	transform: scale(1.03);
	box-shadow: 0 0 2px 2px #0000005e;
}

.spell-card:has(+ *:hover) {
	transform: scale(1.03);
	box-shadow: 0 0 2px 2px #0000005e;
} */

.spell-card > * {
	padding: 3px;
	margin: 10px 0;
	padding-bottom: 8px;
}

.spell-card h4 {
	font-size: 1.5em;
	height: 70px;
	text-align: center;
	vertical-align: middle;
}

.spell-card .description {
	border-top: 2px solid #ffffff;
	border-left: 2px solid #ffffff;
}

.spell-card .difficulty {
	border-bottom: 2px solid #ffffff;
	border-right: 2px solid #ffffff;
	height: 40px;
	margin-top: 20px;
}
.spell-card .type {
	position: absolute;
	bottom: 10px;
	width: calc(100% - 40px);
	border-left: 2px solid #ffffff;
	border-right: 2px solid #ffffff;
	text-align: center;
	margin-top: 40px;
}
